Package com.verisign.epp.codec.defReg

## Class EPPDefRegUpdateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPUpdateCmd
    - - com.verisign.epp.codec.defReg.EPPDefRegUpdateCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPDefRegUpdateCmd
      extends EPPUpdateCmd

  Represents an EPP DefReg <update> command. The EPP <update> command provides a transform operation that allows a client to modify the attributes of a defReg object. In addition to the standard EPP command elements, the <update> command MUST contain a <defReg:update> element that identifies the defReg namespace and the location of the defReg schema. In addition to The <defReg:update> element SHALL contain the following child elements:
  - A <defReg:roid> element that contains the roid of the defReg object to be updated. Use `getRoid` and `setRoid` to get and set the element.
  - An <defReg:chg> element that contains attribute values to be change to the defReg object. Use `getChange` and `setChange` to get and set the element.
  `EPPReponse` is the response associated with `EPPDefRegUpdateCmd`.
  See Also:
    `EPPResponse`, `EPPDefRegAddRemove`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDefRegUpdateCmd()` | `EPPDefRegUpdateCmd` default constructor.
    `EPPDefRegUpdateCmd​(java.lang.String aRoid)` | `EPPDefRegUpdateCmd` default constructor.
    `EPPDefRegUpdateCmd​(java.lang.String aTransId, java.lang.String aRoid, EPPDefRegAddRemove aAdd, EPPDefRegAddRemove aRemove, EPPDefRegAddRemove aChange)` | `EPPDefRegUpdateCmd` constructor that takes the required attributes as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPDefRegUpdateCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPDefRegUpdateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPDefRegUpdateCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPDefRegUpdateCmd` with this instance.
    `EPPDefRegAddRemove` | `getAdd()` | Gets the items to add to the DefReg.
    `EPPDefRegAddRemove` | `getChange()` | Gets the items to change to the defReg.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPDefRegUpdateCmd`.
    `EPPDefRegAddRemove` | `getRemove()` | Gets the items to remove from the DefReg.
    `java.lang.String` | `getRoid()` | Gets the defReg roid to update.
    `void` | `setAdd​(EPPDefRegAddRemove aAdd)` | Sets the items to add to the DefReg.
    `void` | `setChange​(EPPDefRegAddRemove newChange)` | Sets the items to change to the defReg.
    `void` | `setRemove​(EPPDefRegAddRemove aRemove)` | Sets the items to remove from the DefReg.
    `void` | `setRoid​(java.lang.String aRoid)` | Sets the defReg roid to update.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegUpdateCmd

          public EPPDefRegUpdateCmd()

      `EPPDefRegUpdateCmd` default constructor. The roid is initialized to `null`. The roid must be set before invoking `encode`.

    - #### EPPDefRegUpdateCmd

          public EPPDefRegUpdateCmd​(java.lang.String aTransId,
                                    java.lang.String aRoid,
                                    EPPDefRegAddRemove aAdd,
                                    EPPDefRegAddRemove aRemove,
                                    EPPDefRegAddRemove aChange)

      `EPPDefRegUpdateCmd` constructor that takes the required attributes as arguments.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aRoid` - DefReg roid to update.
        `aAdd` - DOCUMENT ME!
        `aRemove` - DOCUMENT ME!
        `aChange` - Attributes to add to the defReg. `null` if no additions.

    - #### EPPDefRegUpdateCmd

          public EPPDefRegUpdateCmd​(java.lang.String aRoid)

      `EPPDefRegUpdateCmd` default constructor. The roid is initialized to `null`. The Roid must be set before invoking `encode`.
      Parameters:
        `aRoid` - DOCUMENT ME!

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDefRegUpdateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPDefRegMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegUpdateCmd` instance.
      Specified by:
        `doEncode` in class `EPPUpdateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPDefRegUpdateCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDefRegUpdateCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegUpdateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPUpdateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegUpdateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPDefRegUpdateCmd` with this instance.
      Overrides:
        `equals` in class `EPPUpdateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegUpdateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPDefRegUpdateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getRoid

          public java.lang.String getRoid()

      Gets the defReg roid to update.
      Returns:
        DefReg roid if defined; `null` otherwise.

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Sets the defReg roid to update.
      Parameters:
        `aRoid` - DefReg Roid

    - #### getChange

          public EPPDefRegAddRemove getChange()

      Gets the items to change to the defReg.
      Returns:
        Object that contains the list of elements to change to the defReg if defined; `null` otherwise.

    - #### setChange

          public void setChange​(EPPDefRegAddRemove newChange)

      Sets the items to change to the defReg.
      Parameters:
        `newChange` - Object that contains the list of elements to change to the defRegdefRegdefReg.

    - #### getAdd

          public EPPDefRegAddRemove getAdd()

      Gets the items to add to the DefReg.
      Returns:
        Object that contains the list of elements to add to the DefReg if defined; `null` otherwise.

    - #### setAdd

          public void setAdd​(EPPDefRegAddRemove aAdd)

      Sets the items to add to the DefReg.
      Parameters:
        `aAdd` - Object that contains the list of elements to add to the DefReg.

    - #### getRemove

          public EPPDefRegAddRemove getRemove()

      Gets the items to remove from the DefReg.
      Returns:
        Object that contains the list of elements to remove from the DefReg if defined; `null` otherwise.

    - #### setRemove

          public void setRemove​(EPPDefRegAddRemove aRemove)

      Sets the items to remove from the DefReg.
      Parameters:
        `aRemove` - Object that contains the list of elements to remove from the DefReg.